package SHARK2.keymon.com.mx;

import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.pc.*;

public class c_nota_subs_0 {


public static RemoteObject  _activity_pause(RemoteObject __ref,RemoteObject _userclosed) throws Exception{
try {
		Debug.PushSubsStack("Activity_Pause (c_nota) ","c_nota",9,__ref.getField(false, "ba"),__ref,349);
if (RapidSub.canDelegate("activity_pause")) { return __ref.runUserSub(false, "c_nota","activity_pause", __ref, _userclosed);}
Debug.locals.put("UserClosed", _userclosed);
 BA.debugLineNum = 349;BA.debugLine="Sub Activity_Pause (UserClosed As Boolean)";
Debug.ShouldStop(268435456);
 BA.debugLineNum = 351;BA.debugLine="End Sub";
Debug.ShouldStop(1073741824);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _actualizartotalespantalla(RemoteObject __ref) throws Exception{
try {
		Debug.PushSubsStack("ActualizarTotalesPantalla (c_nota) ","c_nota",9,__ref.getField(false, "ba"),__ref,331);
if (RapidSub.canDelegate("actualizartotalespantalla")) { return __ref.runUserSub(false, "c_nota","actualizartotalespantalla", __ref);}
RemoteObject _res = RemoteObject.declareNull("anywheresoftware.b4a.sql.SQL.CursorWrapper");
 BA.debugLineNum = 331;BA.debugLine="Private Sub ActualizarTotalesPantalla";
Debug.ShouldStop(1024);
 BA.debugLineNum = 333;BA.debugLine="Dim res As Cursor = B4XPages.MainPage.skmt.ExecQu";
Debug.ShouldStop(4096);
_res = RemoteObject.createNew ("anywheresoftware.b4a.sql.SQL.CursorWrapper");
_res = RemoteObject.declareNull("anywheresoftware.b4a.AbsObjectWrapper").runMethod(false, "ConvertToWrapper", RemoteObject.createNew("anywheresoftware.b4a.sql.SQL.CursorWrapper"), c_nota._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runMethod(false,"ExecQuery",(Object)(RemoteObject.createImmutable("SELECT IFNULL(SUM(PE_CANT),0) AS PC_NOART, SUM(IFNULL(PE_COSTO_TOT,0)) AS PC_MONTO FROM PEDIDO WHERE PE_CLIENTE IN (SELECT CUENTA FROM cuentaa) AND PE_PROID NOT IN (SELECT CAT_PA_ID FROM PROMOS_COMP)"))));Debug.locals.put("res", _res);Debug.locals.put("res", _res);
 BA.debugLineNum = 335;BA.debugLine="If res.RowCount > 0 Then";
Debug.ShouldStop(16384);
if (RemoteObject.solveBoolean(">",_res.runMethod(true,"getRowCount"),BA.numberCast(double.class, 0))) { 
 BA.debugLineNum = 336;BA.debugLine="res.Position = 0";
Debug.ShouldStop(32768);
_res.runMethod(true,"setPosition",BA.numberCast(int.class, 0));
 BA.debugLineNum = 337;BA.debugLine="L_CANT.Text = res.GetString(\"PC_NOART\")";
Debug.ShouldStop(65536);
__ref.getField(false,"_l_cant" /*RemoteObject*/ ).runMethod(true,"setText",BA.ObjectToCharSequence(_res.runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("PC_NOART")))));
 BA.debugLineNum = 338;BA.debugLine="L_TOTAL.Text = \"$\" & NumberFormat2(res.GetDouble";
Debug.ShouldStop(131072);
__ref.getField(false,"_l_total" /*RemoteObject*/ ).runMethod(true,"setText",BA.ObjectToCharSequence(RemoteObject.concat(RemoteObject.createImmutable("$"),c_nota.__c.runMethod(true,"NumberFormat2",(Object)(_res.runMethod(true,"GetDouble",(Object)(RemoteObject.createImmutable("PC_MONTO")))),(Object)(BA.numberCast(int.class, 1)),(Object)(BA.numberCast(int.class, 2)),(Object)(BA.numberCast(int.class, 2)),(Object)(c_nota.__c.getField(true,"False"))))));
 }else {
 BA.debugLineNum = 340;BA.debugLine="L_CANT.Text = \"0\"";
Debug.ShouldStop(524288);
__ref.getField(false,"_l_cant" /*RemoteObject*/ ).runMethod(true,"setText",BA.ObjectToCharSequence("0"));
 BA.debugLineNum = 341;BA.debugLine="L_TOTAL.Text = \"$0.00\"";
Debug.ShouldStop(1048576);
__ref.getField(false,"_l_total" /*RemoteObject*/ ).runMethod(true,"setText",BA.ObjectToCharSequence("$0.00"));
 };
 BA.debugLineNum = 343;BA.debugLine="res.Close";
Debug.ShouldStop(4194304);
_res.runVoidMethod ("Close");
 BA.debugLineNum = 346;BA.debugLine="If Subs.pedidoGuardado Then borra.Enabled = False";
Debug.ShouldStop(33554432);
if (c_nota._subs.runMethod(true,"_pedidoguardado" /*RemoteObject*/ ,__ref.getField(false, "ba")).<Boolean>get().booleanValue()) { 
__ref.getField(false,"_borra" /*RemoteObject*/ ).runMethod(true,"setEnabled",c_nota.__c.getField(true,"False"));}
else {
__ref.getField(false,"_borra" /*RemoteObject*/ ).runMethod(true,"setEnabled",c_nota.__c.getField(true,"True"));};
 BA.debugLineNum = 347;BA.debugLine="End Sub";
Debug.ShouldStop(67108864);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _b_desc_click(RemoteObject __ref) throws Exception{
try {
		Debug.PushSubsStack("b_desc_Click (c_nota) ","c_nota",9,__ref.getField(false, "ba"),__ref,773);
if (RapidSub.canDelegate("b_desc_click")) { return __ref.runUserSub(false, "c_nota","b_desc_click", __ref);}
 BA.debugLineNum = 773;BA.debugLine="Sub b_desc_Click";
Debug.ShouldStop(16);
 BA.debugLineNum = 774;BA.debugLine="If DESCUENTO = \"MENOS\" Then";
Debug.ShouldStop(32);
if (RemoteObject.solveBoolean("=",__ref.getField(true,"_descuento" /*RemoteObject*/ ),BA.ObjectToString("MENOS"))) { 
 BA.debugLineNum = 775;BA.debugLine="DateTime.DateFormat = \"MM/dd/yyyy\"";
Debug.ShouldStop(64);
c_nota.__c.getField(false,"DateTime").runMethod(true,"setDateFormat",BA.ObjectToString("MM/dd/yyyy"));
 BA.debugLineNum = 776;BA.debugLine="sDate=DateTime.Date(DateTime.Now)";
Debug.ShouldStop(128);
__ref.setField ("_sdate" /*RemoteObject*/ ,c_nota.__c.getField(false,"DateTime").runMethod(true,"Date",(Object)(c_nota.__c.getField(false,"DateTime").runMethod(true,"getNow"))));
 BA.debugLineNum = 777;BA.debugLine="sTime=DateTime.Time(DateTime.Now)";
Debug.ShouldStop(256);
__ref.setField ("_stime" /*RemoteObject*/ ,c_nota.__c.getField(false,"DateTime").runMethod(true,"Time",(Object)(c_nota.__c.getField(false,"DateTime").runMethod(true,"getNow"))));
 BA.debugLineNum = 778;BA.debugLine="c=B4XPages.MainPage.skmt.ExecQuery(\"Select CUENT";
Debug.ShouldStop(512);
__ref.getField(false,"_c" /*RemoteObject*/ ).setObject (c_nota._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runMethod(false,"ExecQuery",(Object)(RemoteObject.createImmutable("Select CUENTA from cuentaa"))));
 BA.debugLineNum = 779;BA.debugLine="c.Position=0";
Debug.ShouldStop(1024);
__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"setPosition",BA.numberCast(int.class, 0));
 BA.debugLineNum = 780;BA.debugLine="clie_id = c.GetString(\"CUENTA\")";
Debug.ShouldStop(2048);
__ref.setField ("_clie_id" /*RemoteObject*/ ,__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CUENTA"))));
 BA.debugLineNum = 781;BA.debugLine="c.Close";
Debug.ShouldStop(4096);
__ref.getField(false,"_c" /*RemoteObject*/ ).runVoidMethod ("Close");
 BA.debugLineNum = 782;BA.debugLine="c=B4XPages.MainPage.skmt.ExecQuery(\"select USUAR";
Debug.ShouldStop(8192);
__ref.getField(false,"_c" /*RemoteObject*/ ).setObject (c_nota._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runMethod(false,"ExecQuery",(Object)(RemoteObject.createImmutable("select USUARIO from usuarioa"))));
 BA.debugLineNum = 783;BA.debugLine="c.Position=0";
Debug.ShouldStop(16384);
__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"setPosition",BA.numberCast(int.class, 0));
 BA.debugLineNum = 784;BA.debugLine="usuario = c.GetString(\"USUARIO\")";
Debug.ShouldStop(32768);
__ref.setField ("_usuario" /*RemoteObject*/ ,__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("USUARIO"))));
 BA.debugLineNum = 785;BA.debugLine="c.Close";
Debug.ShouldStop(65536);
__ref.getField(false,"_c" /*RemoteObject*/ ).runVoidMethod ("Close");
 BA.debugLineNum = 786;BA.debugLine="result =  Msgbox2(\"Seguro que desea dar descuent";
Debug.ShouldStop(131072);
__ref.setField ("_result" /*RemoteObject*/ ,BA.NumberToString(c_nota.__c.runMethodAndSync(true,"Msgbox2",(Object)(BA.ObjectToCharSequence("Seguro que desea dar descuento del 5%?")),(Object)(BA.ObjectToCharSequence("Dar descuento")),(Object)(BA.ObjectToString("Si")),(Object)(BA.ObjectToString("")),(Object)(BA.ObjectToString("No")),(Object)((c_nota.__c.runMethod(false,"LoadBitmap",(Object)(c_nota.__c.getField(false,"File").runMethod(true,"getDirAssets")),(Object)(RemoteObject.createImmutable("alert2.png"))).getObject())),__ref.getField(false, "ba"))));
 BA.debugLineNum = 787;BA.debugLine="If result = DialogResponse.POSITIVE Then";
Debug.ShouldStop(262144);
if (RemoteObject.solveBoolean("=",__ref.getField(true,"_result" /*RemoteObject*/ ),BA.NumberToString(c_nota.__c.getField(false,"DialogResponse").getField(true,"POSITIVE")))) { 
 BA.debugLineNum = 788;BA.debugLine="B4XPages.MainPage.skmt.ExecNonQuery(\"UPDATE ped";
Debug.ShouldStop(524288);
c_nota._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runVoidMethod ("ExecNonQuery",(Object)(RemoteObject.createImmutable("UPDATE pedido SET PE_COSTO_TOT = PE_COSTO_TOT * .95, PE_DESC = 5 WHERE PE_CLIENTE In (select cuenta from cuentaa)")));
 BA.debugLineNum = 789;BA.debugLine="c=B4XPages.MainPage.skmt.ExecQuery(\"select sum(";
Debug.ShouldStop(1048576);
__ref.getField(false,"_c" /*RemoteObject*/ ).setObject (c_nota._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runMethod(false,"ExecQuery",(Object)(RemoteObject.createImmutable("select sum(pe_costo_tot) as TOTAL_CLIE, SUM(PE_CANT) AS CANT_CLIE, count(*) as CUANTOS FROM PEDIDO WHERE PE_CLIENTE IN (Select CUENTA from cuentaa)"))));
 BA.debugLineNum = 790;BA.debugLine="c.Position=0";
Debug.ShouldStop(2097152);
__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"setPosition",BA.numberCast(int.class, 0));
 BA.debugLineNum = 791;BA.debugLine="B4XPages.MainPage.skmt.ExecNonQuery(\"delete fro";
Debug.ShouldStop(4194304);
c_nota._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runVoidMethod ("ExecNonQuery",(Object)(RemoteObject.createImmutable("delete from pedido_cliente where PC_CLIENTE In (select cuenta from cuentaa)")));
 BA.debugLineNum = 792;BA.debugLine="B4XPages.MainPage.skmt.ExecNonQuery2(\"insert in";
Debug.ShouldStop(8388608);
c_nota._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runVoidMethod ("ExecNonQuery2",(Object)(BA.ObjectToString("insert into pedido_cliente(PC_CLIENTE, PC_FECHA, PC_USER, PC_NOART, PC_MONTO,PC_LON, PC_LAT) VALUES (?,?,?,?,?,?,?)")),(Object)(c_nota.__c.runMethod(false, "ArrayToList", (Object)(RemoteObject.createNewArray("Object",new int[] {7},new Object[] {(__ref.getField(true,"_clie_id" /*RemoteObject*/ )),(RemoteObject.concat(__ref.getField(true,"_sdate" /*RemoteObject*/ ),__ref.getField(true,"_stime" /*RemoteObject*/ ))),(__ref.getField(true,"_usuario" /*RemoteObject*/ )),(__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CANT_CLIE")))),(__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("TOTAL_CLIE")))),(c_nota._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(true,"_lon_gps" /*RemoteObject*/ )),(c_nota._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(true,"_lat_gps" /*RemoteObject*/ ))})))));
 BA.debugLineNum = 793;BA.debugLine="c.Close";
Debug.ShouldStop(16777216);
__ref.getField(false,"_c" /*RemoteObject*/ ).runVoidMethod ("Close");
 BA.debugLineNum = 794;BA.debugLine="B4XPage_Appear";
Debug.ShouldStop(33554432);
__ref.runClassMethod (SHARK2.keymon.com.mx.c_nota.class, "_b4xpage_appear" /*RemoteObject*/ );
 };
 }else 
{ BA.debugLineNum = 796;BA.debugLine="ELSE IF DESCUENTO = \"MAS\" Then";
Debug.ShouldStop(134217728);
if (RemoteObject.solveBoolean("=",__ref.getField(true,"_descuento" /*RemoteObject*/ ),BA.ObjectToString("MAS"))) { 
 BA.debugLineNum = 797;BA.debugLine="DateTime.DateFormat = \"MM/dd/yyyy\"";
Debug.ShouldStop(268435456);
c_nota.__c.getField(false,"DateTime").runMethod(true,"setDateFormat",BA.ObjectToString("MM/dd/yyyy"));
 BA.debugLineNum = 798;BA.debugLine="sDate=DateTime.Date(DateTime.Now)";
Debug.ShouldStop(536870912);
__ref.setField ("_sdate" /*RemoteObject*/ ,c_nota.__c.getField(false,"DateTime").runMethod(true,"Date",(Object)(c_nota.__c.getField(false,"DateTime").runMethod(true,"getNow"))));
 BA.debugLineNum = 799;BA.debugLine="sTime=DateTime.Time(DateTime.Now)";
Debug.ShouldStop(1073741824);
__ref.setField ("_stime" /*RemoteObject*/ ,c_nota.__c.getField(false,"DateTime").runMethod(true,"Time",(Object)(c_nota.__c.getField(false,"DateTime").runMethod(true,"getNow"))));
 BA.debugLineNum = 800;BA.debugLine="c=B4XPages.MainPage.skmt.ExecQuery(\"Select CUENT";
Debug.ShouldStop(-2147483648);
__ref.getField(false,"_c" /*RemoteObject*/ ).setObject (c_nota._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runMethod(false,"ExecQuery",(Object)(RemoteObject.createImmutable("Select CUENTA from cuentaa"))));
 BA.debugLineNum = 801;BA.debugLine="c.Position=0";
Debug.ShouldStop(1);
__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"setPosition",BA.numberCast(int.class, 0));
 BA.debugLineNum = 802;BA.debugLine="clie_id = c.GetString(\"CUENTA\")";
Debug.ShouldStop(2);
__ref.setField ("_clie_id" /*RemoteObject*/ ,__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CUENTA"))));
 BA.debugLineNum = 803;BA.debugLine="c.Close";
Debug.ShouldStop(4);
__ref.getField(false,"_c" /*RemoteObject*/ ).runVoidMethod ("Close");
 BA.debugLineNum = 804;BA.debugLine="c=B4XPages.MainPage.skmt.ExecQuery(\"select USUAR";
Debug.ShouldStop(8);
__ref.getField(false,"_c" /*RemoteObject*/ ).setObject (c_nota._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runMethod(false,"ExecQuery",(Object)(RemoteObject.createImmutable("select USUARIO from usuarioa"))));
 BA.debugLineNum = 805;BA.debugLine="c.Position=0";
Debug.ShouldStop(16);
__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"setPosition",BA.numberCast(int.class, 0));
 BA.debugLineNum = 806;BA.debugLine="usuario = c.GetString(\"USUARIO\")";
Debug.ShouldStop(32);
__ref.setField ("_usuario" /*RemoteObject*/ ,__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("USUARIO"))));
 BA.debugLineNum = 807;BA.debugLine="c.Close";
Debug.ShouldStop(64);
__ref.getField(false,"_c" /*RemoteObject*/ ).runVoidMethod ("Close");
 BA.debugLineNum = 808;BA.debugLine="result =  Msgbox2(\"Seguro que desea CANCELAR el";
Debug.ShouldStop(128);
__ref.setField ("_result" /*RemoteObject*/ ,BA.NumberToString(c_nota.__c.runMethodAndSync(true,"Msgbox2",(Object)(BA.ObjectToCharSequence("Seguro que desea CANCELAR el descuento?")),(Object)(BA.ObjectToCharSequence("Cancelar descuento")),(Object)(BA.ObjectToString("Si")),(Object)(BA.ObjectToString("")),(Object)(BA.ObjectToString("No")),(Object)((c_nota.__c.runMethod(false,"LoadBitmap",(Object)(c_nota.__c.getField(false,"File").runMethod(true,"getDirAssets")),(Object)(RemoteObject.createImmutable("alert2.png"))).getObject())),__ref.getField(false, "ba"))));
 BA.debugLineNum = 809;BA.debugLine="If result = DialogResponse.POSITIVE Then";
Debug.ShouldStop(256);
if (RemoteObject.solveBoolean("=",__ref.getField(true,"_result" /*RemoteObject*/ ),BA.NumberToString(c_nota.__c.getField(false,"DialogResponse").getField(true,"POSITIVE")))) { 
 BA.debugLineNum = 810;BA.debugLine="B4XPages.MainPage.skmt.ExecNonQuery(\"UPDATE ped";
Debug.ShouldStop(512);
c_nota._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runVoidMethod ("ExecNonQuery",(Object)(RemoteObject.createImmutable("UPDATE pedido SET PE_COSTO_TOT = PE_COSTO_TOT / .95, PE_DESC = 0 WHERE PE_CLIENTE In (select cuenta from cuentaa)")));
 BA.debugLineNum = 811;BA.debugLine="c=B4XPages.MainPage.skmt.ExecQuery(\"select sum(";
Debug.ShouldStop(1024);
__ref.getField(false,"_c" /*RemoteObject*/ ).setObject (c_nota._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runMethod(false,"ExecQuery",(Object)(RemoteObject.createImmutable("select sum(pe_costo_tot) as TOTAL_CLIE, SUM(PE_CANT) AS CANT_CLIE, count(*) as CUANTOS FROM PEDIDO WHERE PE_CLIENTE IN (Select CUENTA from cuentaa)"))));
 BA.debugLineNum = 812;BA.debugLine="c.Position=0";
Debug.ShouldStop(2048);
__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"setPosition",BA.numberCast(int.class, 0));
 BA.debugLineNum = 813;BA.debugLine="B4XPages.MainPage.skmt.ExecNonQuery(\"delete fro";
Debug.ShouldStop(4096);
c_nota._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runVoidMethod ("ExecNonQuery",(Object)(RemoteObject.createImmutable("delete from pedido_cliente where PC_CLIENTE In (select cuenta from cuentaa)")));
 BA.debugLineNum = 814;BA.debugLine="B4XPages.MainPage.skmt.ExecNonQuery2(\"insert in";
Debug.ShouldStop(8192);
c_nota._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runVoidMethod ("ExecNonQuery2",(Object)(BA.ObjectToString("insert into pedido_cliente(PC_CLIENTE, PC_FECHA, PC_USER, PC_NOART, PC_MONTO,PC_LON, PC_LAT) VALUES (?,?,?,?,?,?,?)")),(Object)(c_nota.__c.runMethod(false, "ArrayToList", (Object)(RemoteObject.createNewArray("Object",new int[] {7},new Object[] {(__ref.getField(true,"_clie_id" /*RemoteObject*/ )),(RemoteObject.concat(__ref.getField(true,"_sdate" /*RemoteObject*/ ),__ref.getField(true,"_stime" /*RemoteObject*/ ))),(__ref.getField(true,"_usuario" /*RemoteObject*/ )),(__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CANT_CLIE")))),(__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("TOTAL_CLIE")))),(c_nota._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(true,"_lon_gps" /*RemoteObject*/ )),(c_nota._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(true,"_lat_gps" /*RemoteObject*/ ))})))));
 BA.debugLineNum = 815;BA.debugLine="c.Close";
Debug.ShouldStop(16384);
__ref.getField(false,"_c" /*RemoteObject*/ ).runVoidMethod ("Close");
 BA.debugLineNum = 816;BA.debugLine="B4XPage_Appear";
Debug.ShouldStop(32768);
__ref.runClassMethod (SHARK2.keymon.com.mx.c_nota.class, "_b4xpage_appear" /*RemoteObject*/ );
 };
 }}
;
 BA.debugLineNum = 819;BA.debugLine="End Sub";
Debug.ShouldStop(262144);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _b4xpage_appear(RemoteObject __ref) throws Exception{
try {
		Debug.PushSubsStack("B4XPage_Appear (c_nota) ","c_nota",9,__ref.getField(false, "ba"),__ref,182);
if (RapidSub.canDelegate("b4xpage_appear")) { return __ref.runUserSub(false, "c_nota","b4xpage_appear", __ref);}
RemoteObject _query = RemoteObject.createImmutable("");
RemoteObject _almacenactual = RemoteObject.createImmutable("");
int _i = 0;
RemoteObject _idprod = RemoteObject.createImmutable("");
RemoteObject _nomprod = RemoteObject.createImmutable("");
RemoteObject _factual = RemoteObject.createImmutable("");
RemoteObject _presname = RemoteObject.createImmutable("");
RemoteObject _cantpres = RemoteObject.createImmutable("");
RemoteObject _uvmval = RemoteObject.createImmutable(0);
RemoteObject _cedisfila = RemoteObject.createImmutable("");
RemoteObject _dirigidafila = RemoteObject.createImmutable("");
RemoteObject _cantpzs = RemoteObject.createImmutable(0);
RemoteObject _cstitulo = RemoteObject.declareNull("anywheresoftware.b4a.objects.CSBuilder");
RemoteObject _csdetalle = RemoteObject.declareNull("anywheresoftware.b4a.objects.CSBuilder");
RemoteObject _datosidentificadores = RemoteObject.declareNull("anywheresoftware.b4a.objects.collections.Map");
 BA.debugLineNum = 182;BA.debugLine="Sub B4XPage_Appear";
Debug.ShouldStop(2097152);
 BA.debugLineNum = 184;BA.debugLine="If Not(Starter.gps.GPSEnabled) Then";
Debug.ShouldStop(8388608);
if (c_nota.__c.runMethod(true,"Not",(Object)(c_nota._starter._gps /*RemoteObject*/ .runMethod(true,"getGPSEnabled"))).<Boolean>get().booleanValue()) { 
 BA.debugLineNum = 185;BA.debugLine="ToastMessageShow(\"Es necesario tener el GPS ence";
Debug.ShouldStop(16777216);
c_nota.__c.runVoidMethod ("ToastMessageShow",(Object)(BA.ObjectToCharSequence("Es necesario tener el GPS encendido")),(Object)(c_nota.__c.getField(true,"True")));
 BA.debugLineNum = 186;BA.debugLine="StartActivity(Starter.gps.LocationSettingsIntent";
Debug.ShouldStop(33554432);
c_nota.__c.runVoidMethod ("StartActivity",__ref.getField(false, "ba"),(Object)((c_nota._starter._gps /*RemoteObject*/ .runMethod(false,"getLocationSettingsIntent"))));
 };
 BA.debugLineNum = 190;BA.debugLine="c = B4XPages.MainPage.skmt.ExecQuery(\"SELECT ID_A";
Debug.ShouldStop(536870912);
__ref.getField(false,"_c" /*RemoteObject*/ ).setObject (c_nota._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runMethod(false,"ExecQuery",(Object)(RemoteObject.createImmutable("SELECT ID_ALMACEN FROM CAT_ALMACEN"))));
 BA.debugLineNum = 191;BA.debugLine="If c.RowCount > 0 Then";
Debug.ShouldStop(1073741824);
if (RemoteObject.solveBoolean(">",__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"getRowCount"),BA.numberCast(double.class, 0))) { 
 BA.debugLineNum = 192;BA.debugLine="c.Position = 0";
Debug.ShouldStop(-2147483648);
__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"setPosition",BA.numberCast(int.class, 0));
 BA.debugLineNum = 193;BA.debugLine="almacen = c.GetString(\"ID_ALMACEN\")";
Debug.ShouldStop(1);
__ref.setField ("_almacen" /*RemoteObject*/ ,__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("ID_ALMACEN"))));
 };
 BA.debugLineNum = 195;BA.debugLine="c.Close";
Debug.ShouldStop(4);
__ref.getField(false,"_c" /*RemoteObject*/ ).runVoidMethod ("Close");
 BA.debugLineNum = 198;BA.debugLine="ListView1.TwoLinesLayout.ItemHeight = 130dip";
Debug.ShouldStop(32);
__ref.getField(false,"_listview1" /*RemoteObject*/ ).runMethod(false,"getTwoLinesLayout").runMethod(true,"setItemHeight",c_nota.__c.runMethod(true,"DipToCurrent",(Object)(BA.numberCast(int.class, 130))));
 BA.debugLineNum = 201;BA.debugLine="ListView1.TwoLinesLayout.Label.Height = 45dip";
Debug.ShouldStop(256);
__ref.getField(false,"_listview1" /*RemoteObject*/ ).runMethod(false,"getTwoLinesLayout").getField(false,"Label").runMethod(true,"setHeight",c_nota.__c.runMethod(true,"DipToCurrent",(Object)(BA.numberCast(int.class, 45))));
 BA.debugLineNum = 202;BA.debugLine="ListView1.TwoLinesLayout.Label.TextSize = 18";
Debug.ShouldStop(512);
__ref.getField(false,"_listview1" /*RemoteObject*/ ).runMethod(false,"getTwoLinesLayout").getField(false,"Label").runMethod(true,"setTextSize",BA.numberCast(float.class, 18));
 BA.debugLineNum = 203;BA.debugLine="ListView1.TwoLinesLayout.Label.Typeface = Typefac";
Debug.ShouldStop(1024);
__ref.getField(false,"_listview1" /*RemoteObject*/ ).runMethod(false,"getTwoLinesLayout").getField(false,"Label").runMethod(false,"setTypeface",c_nota.__c.getField(false,"Typeface").getField(false,"DEFAULT_BOLD"));
 BA.debugLineNum = 204;BA.debugLine="ListView1.TwoLinesLayout.Label.TextColor = Colors";
Debug.ShouldStop(2048);
__ref.getField(false,"_listview1" /*RemoteObject*/ ).runMethod(false,"getTwoLinesLayout").getField(false,"Label").runMethod(true,"setTextColor",c_nota.__c.getField(false,"Colors").runMethod(true,"RGB",(Object)(BA.numberCast(int.class, 150)),(Object)(BA.numberCast(int.class, 0)),(Object)(BA.numberCast(int.class, 0))));
 BA.debugLineNum = 205;BA.debugLine="ListView1.TwoLinesLayout.Label.Gravity = Gravity.";
Debug.ShouldStop(4096);
__ref.getField(false,"_listview1" /*RemoteObject*/ ).runMethod(false,"getTwoLinesLayout").getField(false,"Label").runMethod(true,"setGravity",c_nota.__c.getField(false,"Gravity").getField(true,"CENTER_VERTICAL"));
 BA.debugLineNum = 208;BA.debugLine="ListView1.TwoLinesLayout.SecondLabel.Height = 80d";
Debug.ShouldStop(32768);
__ref.getField(false,"_listview1" /*RemoteObject*/ ).runMethod(false,"getTwoLinesLayout").getField(false,"SecondLabel").runMethod(true,"setHeight",c_nota.__c.runMethod(true,"DipToCurrent",(Object)(BA.numberCast(int.class, 80))));
 BA.debugLineNum = 209;BA.debugLine="ListView1.TwoLinesLayout.SecondLabel.Top = 45dip";
Debug.ShouldStop(65536);
__ref.getField(false,"_listview1" /*RemoteObject*/ ).runMethod(false,"getTwoLinesLayout").getField(false,"SecondLabel").runMethod(true,"setTop",c_nota.__c.runMethod(true,"DipToCurrent",(Object)(BA.numberCast(int.class, 45))));
 BA.debugLineNum = 210;BA.debugLine="ListView1.TwoLinesLayout.SecondLabel.TextSize = 1";
Debug.ShouldStop(131072);
__ref.getField(false,"_listview1" /*RemoteObject*/ ).runMethod(false,"getTwoLinesLayout").getField(false,"SecondLabel").runMethod(true,"setTextSize",BA.numberCast(float.class, 14));
 BA.debugLineNum = 214;BA.debugLine="Dim query As String = \"SELECT PE_PRONOMBRE, PE_CO";
Debug.ShouldStop(2097152);
_query = RemoteObject.concat(RemoteObject.createImmutable("SELECT PE_PRONOMBRE, PE_COSTO_TOT, PE_CANT, PE_FOLIO, PE_CEDIS, "),RemoteObject.createImmutable("PE_PRESENTACION, PE_CANTC, PE_UVM, PE_PROID, PE_DIRIGIDA "),RemoteObject.createImmutable("FROM PEDIDO WHERE PE_CLIENTE IN (SELECT CUENTA FROM cuentaa) "),RemoteObject.createImmutable("ORDER BY PE_CEDIS,PE_COSTO_TOT, PE_PRONOMBRE"));Debug.locals.put("query", _query);Debug.locals.put("query", _query);
 BA.debugLineNum = 219;BA.debugLine="c = B4XPages.MainPage.skmt.ExecQuery(query)";
Debug.ShouldStop(67108864);
__ref.getField(false,"_c" /*RemoteObject*/ ).setObject (c_nota._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runMethod(false,"ExecQuery",(Object)(_query)));
 BA.debugLineNum = 220;BA.debugLine="ListView1.Clear";
Debug.ShouldStop(134217728);
__ref.getField(false,"_listview1" /*RemoteObject*/ ).runVoidMethod ("Clear");
 BA.debugLineNum = 221;BA.debugLine="vamoaver.Initialize";
Debug.ShouldStop(268435456);
__ref.getField(false,"_vamoaver" /*RemoteObject*/ ).runVoidMethod ("Initialize");
 BA.debugLineNum = 269;BA.debugLine="If c.RowCount > 0 Then";
Debug.ShouldStop(4096);
if (RemoteObject.solveBoolean(">",__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"getRowCount"),BA.numberCast(double.class, 0))) { 
 BA.debugLineNum = 270;BA.debugLine="Dim almacenActual As String = Subs.traeAlmacen '";
Debug.ShouldStop(8192);
_almacenactual = c_nota._subs.runMethod(true,"_traealmacen" /*RemoteObject*/ ,__ref.getField(false, "ba"));Debug.locals.put("almacenActual", _almacenactual);Debug.locals.put("almacenActual", _almacenactual);
 BA.debugLineNum = 272;BA.debugLine="For i = 0 To c.RowCount - 1";
Debug.ShouldStop(32768);
{
final int step26 = 1;
final int limit26 = RemoteObject.solve(new RemoteObject[] {__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"getRowCount"),RemoteObject.createImmutable(1)}, "-",1, 1).<Integer>get().intValue();
_i = 0 ;
for (;(step26 > 0 && _i <= limit26) || (step26 < 0 && _i >= limit26) ;_i = ((int)(0 + _i + step26))  ) {
Debug.locals.put("i", _i);
 BA.debugLineNum = 273;BA.debugLine="c.Position = i";
Debug.ShouldStop(65536);
__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"setPosition",BA.numberCast(int.class, _i));
 BA.debugLineNum = 276;BA.debugLine="Dim idProd As String = c.GetString(\"PE_PROID\")";
Debug.ShouldStop(524288);
_idprod = __ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("PE_PROID")));Debug.locals.put("idProd", _idprod);Debug.locals.put("idProd", _idprod);
 BA.debugLineNum = 277;BA.debugLine="Dim nomProd As String = c.GetString(\"PE_PRONOMB";
Debug.ShouldStop(1048576);
_nomprod = __ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("PE_PRONOMBRE")));Debug.locals.put("nomProd", _nomprod);Debug.locals.put("nomProd", _nomprod);
 BA.debugLineNum = 278;BA.debugLine="Dim fActual As String = c.GetString(\"PE_FOLIO\")";
Debug.ShouldStop(2097152);
_factual = __ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("PE_FOLIO")));Debug.locals.put("fActual", _factual);Debug.locals.put("fActual", _factual);
 BA.debugLineNum = 279;BA.debugLine="Dim presName As String = c.GetString(\"PE_PRESEN";
Debug.ShouldStop(4194304);
_presname = __ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("PE_PRESENTACION")));Debug.locals.put("presName", _presname);Debug.locals.put("presName", _presname);
 BA.debugLineNum = 280;BA.debugLine="Dim cantPres As String = c.GetString(\"PE_CANTC\"";
Debug.ShouldStop(8388608);
_cantpres = __ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("PE_CANTC")));Debug.locals.put("cantPres", _cantpres);Debug.locals.put("cantPres", _cantpres);
 BA.debugLineNum = 281;BA.debugLine="Dim uvmVal As Int = c.GetInt(\"PE_UVM\")";
Debug.ShouldStop(16777216);
_uvmval = __ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetInt",(Object)(RemoteObject.createImmutable("PE_UVM")));Debug.locals.put("uvmVal", _uvmval);Debug.locals.put("uvmVal", _uvmval);
 BA.debugLineNum = 282;BA.debugLine="Dim cedisFila As String = c.GetString(\"PE_CEDIS";
Debug.ShouldStop(33554432);
_cedisfila = __ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("PE_CEDIS")));Debug.locals.put("cedisFila", _cedisfila);Debug.locals.put("cedisFila", _cedisfila);
 BA.debugLineNum = 283;BA.debugLine="Dim dirigidaFila As String = c.GetString(\"PE_DI";
Debug.ShouldStop(67108864);
_dirigidafila = __ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("PE_DIRIGIDA")));Debug.locals.put("dirigidaFila", _dirigidafila);Debug.locals.put("dirigidaFila", _dirigidafila);
 BA.debugLineNum = 284;BA.debugLine="Dim cantPzs As Int = c.GetInt(\"PE_CANT\")";
Debug.ShouldStop(134217728);
_cantpzs = __ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetInt",(Object)(RemoteObject.createImmutable("PE_CANT")));Debug.locals.put("cantPzs", _cantpzs);Debug.locals.put("cantPzs", _cantpzs);
 BA.debugLineNum = 286;BA.debugLine="If cantPres = \"\" Or cantPres = \"null\" Then cant";
Debug.ShouldStop(536870912);
if (RemoteObject.solveBoolean("=",_cantpres,BA.ObjectToString("")) || RemoteObject.solveBoolean("=",_cantpres,BA.ObjectToString("null"))) { 
_cantpres = BA.ObjectToString("0");Debug.locals.put("cantPres", _cantpres);};
 BA.debugLineNum = 290;BA.debugLine="Dim csTitulo As CSBuilder";
Debug.ShouldStop(2);
_cstitulo = RemoteObject.createNew ("anywheresoftware.b4a.objects.CSBuilder");Debug.locals.put("csTitulo", _cstitulo);
 BA.debugLineNum = 291;BA.debugLine="csTitulo.Initialize";
Debug.ShouldStop(4);
_cstitulo.runVoidMethod ("Initialize");
 BA.debugLineNum = 293;BA.debugLine="If cedisFila <> almacenActual Then";
Debug.ShouldStop(16);
if (RemoteObject.solveBoolean("!",_cedisfila,_almacenactual)) { 
 BA.debugLineNum = 295;BA.debugLine="csTitulo.Color(Colors.RGB(0, 150, 136)).Typefa";
Debug.ShouldStop(64);
_cstitulo.runMethod(false,"Color",(Object)(c_nota.__c.getField(false,"Colors").runMethod(true,"RGB",(Object)(BA.numberCast(int.class, 0)),(Object)(BA.numberCast(int.class, 150)),(Object)(BA.numberCast(int.class, 136))))).runMethod(false,"Typeface",(Object)(c_nota.__c.getField(false,"Typeface").getField(false,"DEFAULT_BOLD"))).runMethod(false,"Append",(Object)(BA.ObjectToCharSequence(RemoteObject.concat(_nomprod,RemoteObject.createImmutable(" (PROMO)"))))).runVoidMethod ("PopAll");
 }else {
 BA.debugLineNum = 298;BA.debugLine="csTitulo.Color(Colors.RGB(150, 0, 0)).Typeface";
Debug.ShouldStop(512);
_cstitulo.runMethod(false,"Color",(Object)(c_nota.__c.getField(false,"Colors").runMethod(true,"RGB",(Object)(BA.numberCast(int.class, 150)),(Object)(BA.numberCast(int.class, 0)),(Object)(BA.numberCast(int.class, 0))))).runMethod(false,"Typeface",(Object)(c_nota.__c.getField(false,"Typeface").getField(false,"DEFAULT_BOLD"))).runMethod(false,"Append",(Object)(BA.ObjectToCharSequence(_nomprod))).runVoidMethod ("PopAll");
 };
 BA.debugLineNum = 302;BA.debugLine="Dim csDetalle As CSBuilder";
Debug.ShouldStop(8192);
_csdetalle = RemoteObject.createNew ("anywheresoftware.b4a.objects.CSBuilder");Debug.locals.put("csDetalle", _csdetalle);
 BA.debugLineNum = 303;BA.debugLine="csDetalle.Initialize";
Debug.ShouldStop(16384);
_csdetalle.runVoidMethod ("Initialize");
 BA.debugLineNum = 306;BA.debugLine="If uvmVal > 1 Then";
Debug.ShouldStop(131072);
if (RemoteObject.solveBoolean(">",_uvmval,BA.numberCast(double.class, 1))) { 
 BA.debugLineNum = 307;BA.debugLine="csDetalle.Color(Colors.Blue).Size(17).Append(p";
Debug.ShouldStop(262144);
_csdetalle.runMethod(false,"Color",(Object)(c_nota.__c.getField(false,"Colors").getField(true,"Blue"))).runMethod(false,"Size",(Object)(BA.numberCast(int.class, 17))).runMethod(false,"Append",(Object)(BA.ObjectToCharSequence(RemoteObject.concat(_presname.runMethod(true,"toUpperCase"),RemoteObject.createImmutable(": "),(RemoteObject.solve(new RemoteObject[] {_cantpzs,_uvmval}, "/",0, 0)))))).runMethod(false,"Pop").runMethod(false,"Pop").runVoidMethod ("Append",(Object)(BA.ObjectToCharSequence(c_nota.__c.getField(true,"CRLF"))));
 BA.debugLineNum = 308;BA.debugLine="csDetalle.Size(6).Append(CRLF).Pop";
Debug.ShouldStop(524288);
_csdetalle.runMethod(false,"Size",(Object)(BA.numberCast(int.class, 6))).runMethod(false,"Append",(Object)(BA.ObjectToCharSequence(c_nota.__c.getField(true,"CRLF")))).runVoidMethod ("Pop");
 };
 BA.debugLineNum = 312;BA.debugLine="csDetalle.Color(Colors.DarkGray).Size(13).Appen";
Debug.ShouldStop(8388608);
_csdetalle.runMethod(false,"Color",(Object)(c_nota.__c.getField(false,"Colors").getField(true,"DarkGray"))).runMethod(false,"Size",(Object)(BA.numberCast(int.class, 13))).runMethod(false,"Append",(Object)(BA.ObjectToCharSequence(RemoteObject.createImmutable("Piezas: ")))).runMethod(false,"Color",(Object)(c_nota.__c.getField(false,"Colors").getField(true,"Black"))).runMethod(false,"Append",(Object)(BA.ObjectToCharSequence(RemoteObject.concat(RemoteObject.createImmutable("#"),_cantpzs)))).runVoidMethod ("Pop");
 BA.debugLineNum = 313;BA.debugLine="csDetalle.Append(\"  |  \").Color(Colors.DarkGray";
Debug.ShouldStop(16777216);
_csdetalle.runMethod(false,"Append",(Object)(BA.ObjectToCharSequence(RemoteObject.createImmutable("  |  ")))).runMethod(false,"Color",(Object)(c_nota.__c.getField(false,"Colors").getField(true,"DarkGray"))).runMethod(false,"Append",(Object)(BA.ObjectToCharSequence(RemoteObject.createImmutable("Subtotal: ")))).runMethod(false,"Color",(Object)(BA.numberCast(int.class, ((int)0xff008000)))).runMethod(false,"Append",(Object)(BA.ObjectToCharSequence(RemoteObject.concat(RemoteObject.createImmutable("$"),c_nota.__c.runMethod(true,"NumberFormat2",(Object)(__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetDouble",(Object)(RemoteObject.createImmutable("PE_COSTO_TOT")))),(Object)(BA.numberCast(int.class, 1)),(Object)(BA.numberCast(int.class, 2)),(Object)(BA.numberCast(int.class, 2)),(Object)(c_nota.__c.getField(true,"False"))))))).runVoidMethod ("PopAll");
 BA.debugLineNum = 316;BA.debugLine="Dim datosIdentificadores As Map = CreateMap(\"id";
Debug.ShouldStop(134217728);
_datosidentificadores = RemoteObject.createNew ("anywheresoftware.b4a.objects.collections.Map");
_datosidentificadores = c_nota.__c.runMethod(false, "createMap", (Object)(new RemoteObject[] {RemoteObject.createImmutable(("id")),(_idprod),RemoteObject.createImmutable(("nombre")),(_nomprod),RemoteObject.createImmutable(("cedis")),(_cedisfila),RemoteObject.createImmutable(("pres")),(_presname),RemoteObject.createImmutable(("uvm")),(_uvmval),RemoteObject.createImmutable(("dir")),(_dirigidafila),RemoteObject.createImmutable(("folio")),(_factual),RemoteObject.createImmutable(("cant")),(_cantpzs)}));Debug.locals.put("datosIdentificadores", _datosidentificadores);Debug.locals.put("datosIdentificadores", _datosidentificadores);
 BA.debugLineNum = 320;BA.debugLine="ListView1.AddTwoLines2(csTitulo, csDetalle, dat";
Debug.ShouldStop(-2147483648);
__ref.getField(false,"_listview1" /*RemoteObject*/ ).runVoidMethod ("AddTwoLines2",(Object)(BA.ObjectToCharSequence(_cstitulo.getObject())),(Object)(BA.ObjectToCharSequence(_csdetalle.getObject())),(Object)((_datosidentificadores.getObject())));
 BA.debugLineNum = 322;BA.debugLine="vamoaver.Add(fActual)";
Debug.ShouldStop(2);
__ref.getField(false,"_vamoaver" /*RemoteObject*/ ).runVoidMethod ("Add",(Object)((_factual)));
 }
}Debug.locals.put("i", _i);
;
 };
 BA.debugLineNum = 325;BA.debugLine="c.Close";
Debug.ShouldStop(16);
__ref.getField(false,"_c" /*RemoteObject*/ ).runVoidMethod ("Close");
 BA.debugLineNum = 328;BA.debugLine="ActualizarTotalesPantalla";
Debug.ShouldStop(128);
__ref.runClassMethod (SHARK2.keymon.com.mx.c_nota.class, "_actualizartotalespantalla" /*RemoteObject*/ );
 BA.debugLineNum = 329;BA.debugLine="End Sub";
Debug.ShouldStop(256);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _b4xpage_closerequest(RemoteObject __ref) throws Exception{
try {
		Debug.PushSubsStack("B4XPage_CloseRequest (c_nota) ","c_nota",9,__ref.getField(false, "ba"),__ref,362);
if (RapidSub.canDelegate("b4xpage_closerequest")) { return __ref.runUserSub(false, "c_nota","b4xpage_closerequest", __ref);}
ResumableSub_B4XPage_CloseRequest rsub = new ResumableSub_B4XPage_CloseRequest(null,__ref);
rsub.remoteResumableSub = anywheresoftware.b4a.pc.PCResumableSub.createDebugResumeSubForFilter();
rsub.resume(null, null);
return RemoteObject.declareNull("anywheresoftware.b4a.AbsObjectWrapper").runMethod(false, "ConvertToWrapper", RemoteObject.createNew("anywheresoftware.b4a.keywords.Common.ResumableSubWrapper"), rsub.remoteResumableSub);
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static class ResumableSub_B4XPage_CloseRequest extends BA.ResumableSub {
public ResumableSub_B4XPage_CloseRequest(SHARK2.keymon.com.mx.c_nota parent,RemoteObject __ref) {
this.parent = parent;
this.__ref = __ref;
}
java.util.LinkedHashMap<String, Object> rsLocals = new java.util.LinkedHashMap<String, Object>();
RemoteObject __ref;
SHARK2.keymon.com.mx.c_nota parent;

@Override
public void resume(BA ba, RemoteObject result) throws Exception{
try {
		Debug.PushSubsStack("B4XPage_CloseRequest (c_nota) ","c_nota",9,__ref.getField(false, "ba"),__ref,362);
Debug.locals = rsLocals;Debug.currentSubFrame.locals = rsLocals;

    while (true) {
        switch (state) {
            case -1:
{
parent.__c.runVoidMethod ("ReturnFromResumableSub",this.remoteResumableSub,RemoteObject.createImmutable(null));return;}
case 0:
//C
this.state = -1;
Debug.locals.put("_ref", __ref);
 BA.debugLineNum = 365;BA.debugLine="B4XPages.ShowPage(\"Cliente\")";
Debug.ShouldStop(4096);
parent._b4xpages.runVoidMethod ("_showpage" /*RemoteObject*/ ,__ref.getField(false, "ba"),(Object)(RemoteObject.createImmutable("Cliente")));
 BA.debugLineNum = 366;BA.debugLine="Return False";
Debug.ShouldStop(8192);
if (true) {
parent.__c.runVoidMethod ("ReturnFromResumableSub",this.remoteResumableSub,(parent.__c.getField(true,"False")));return;};
 BA.debugLineNum = 367;BA.debugLine="End Sub";
Debug.ShouldStop(16384);
if (true) break;

            }
        }
    }
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
}
public static RemoteObject  _b4xpage_created(RemoteObject __ref,RemoteObject _root1) throws Exception{
try {
		Debug.PushSubsStack("B4XPage_Created (c_nota) ","c_nota",9,__ref.getField(false, "ba"),__ref,42);
if (RapidSub.canDelegate("b4xpage_created")) { return __ref.runUserSub(false, "c_nota","b4xpage_created", __ref, _root1);}
Debug.locals.put("Root1", _root1);
 BA.debugLineNum = 42;BA.debugLine="Private Sub B4XPage_Created (Root1 As B4XView)";
Debug.ShouldStop(512);
 BA.debugLineNum = 43;BA.debugLine="Root = Root1";
Debug.ShouldStop(1024);
__ref.setField ("_root" /*RemoteObject*/ ,_root1);
 BA.debugLineNum = 44;BA.debugLine="ruta = File.DirInternal";
Debug.ShouldStop(2048);
__ref.setField ("_ruta" /*RemoteObject*/ ,c_nota.__c.getField(false,"File").runMethod(true,"getDirInternal"));
 BA.debugLineNum = 45;BA.debugLine="Root.LoadLayout(\"nota\")";
Debug.ShouldStop(4096);
__ref.getField(false,"_root" /*RemoteObject*/ ).runVoidMethodAndSync ("LoadLayout",(Object)(RemoteObject.createImmutable("nota")),__ref.getField(false, "ba"));
 BA.debugLineNum = 46;BA.debugLine="borra.Visible = True";
Debug.ShouldStop(8192);
__ref.getField(false,"_borra" /*RemoteObject*/ ).runMethod(true,"setVisible",c_nota.__c.getField(true,"True"));
 BA.debugLineNum = 47;BA.debugLine="Titulo.Text = \"Pedido Actual\"";
Debug.ShouldStop(16384);
__ref.getField(false,"_titulo" /*RemoteObject*/ ).runMethod(true,"setText",BA.ObjectToCharSequence("Pedido Actual"));
 BA.debugLineNum = 54;BA.debugLine="End Sub";
Debug.ShouldStop(2097152);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _borra_click(RemoteObject __ref) throws Exception{
try {
		Debug.PushSubsStack("borra_Click (c_nota) ","c_nota",9,__ref.getField(false, "ba"),__ref,369);
if (RapidSub.canDelegate("borra_click")) { return __ref.runUserSub(false, "c_nota","borra_click", __ref);}
int _i = 0;
RemoteObject _tablainventario = RemoteObject.createImmutable("");
 BA.debugLineNum = 369;BA.debugLine="Sub borra_Click";
Debug.ShouldStop(65536);
 BA.debugLineNum = 370;BA.debugLine="Log(\"Entre al btn borrar\")";
Debug.ShouldStop(131072);
c_nota.__c.runVoidMethod ("LogImpl","512451841",RemoteObject.createImmutable("Entre al btn borrar"),0);
 BA.debugLineNum = 371;BA.debugLine="result =  Msgbox2(\"Seguro que desa borrar el pedi";
Debug.ShouldStop(262144);
__ref.setField ("_result" /*RemoteObject*/ ,BA.NumberToString(c_nota.__c.runMethodAndSync(true,"Msgbox2",(Object)(BA.ObjectToCharSequence("Seguro que desa borrar el pedido?")),(Object)(BA.ObjectToCharSequence("Cancelar pedido")),(Object)(BA.ObjectToString("Si")),(Object)(BA.ObjectToString("")),(Object)(BA.ObjectToString("No")),(Object)((c_nota.__c.runMethod(false,"LoadBitmap",(Object)(c_nota.__c.getField(false,"File").runMethod(true,"getDirAssets")),(Object)(RemoteObject.createImmutable("alert2.png"))).getObject())),__ref.getField(false, "ba"))));
 BA.debugLineNum = 372;BA.debugLine="If result = DialogResponse.POSITIVE Then";
Debug.ShouldStop(524288);
if (RemoteObject.solveBoolean("=",__ref.getField(true,"_result" /*RemoteObject*/ ),BA.NumberToString(c_nota.__c.getField(false,"DialogResponse").getField(true,"POSITIVE")))) { 
 BA.debugLineNum = 373;BA.debugLine="c=B4XPages.MainPage.skmt.ExecQuery(\"select PE_PR";
Debug.ShouldStop(1048576);
__ref.getField(false,"_c" /*RemoteObject*/ ).setObject (c_nota._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runMethod(false,"ExecQuery",(Object)(RemoteObject.createImmutable("select PE_PROID,PE_CANT FROM PEDIDO where pe_cliente in (Select CUENTA from cuentaa) "))));
 BA.debugLineNum = 374;BA.debugLine="Log($\"select PE_PROID,PE_CANT FROM PEDIDO where";
Debug.ShouldStop(2097152);
c_nota.__c.runVoidMethod ("LogImpl","512451845",(RemoteObject.createImmutable("select PE_PROID,PE_CANT FROM PEDIDO where pe_cliente in (Select CUENTA from cuentaa)")),0);
 BA.debugLineNum = 375;BA.debugLine="If c.RowCount>0 Then";
Debug.ShouldStop(4194304);
if (RemoteObject.solveBoolean(">",__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"getRowCount"),BA.numberCast(double.class, 0))) { 
 BA.debugLineNum = 376;BA.debugLine="For i=0 To c.RowCount -1";
Debug.ShouldStop(8388608);
{
final int step7 = 1;
final int limit7 = RemoteObject.solve(new RemoteObject[] {__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"getRowCount"),RemoteObject.createImmutable(1)}, "-",1, 1).<Integer>get().intValue();
_i = 0 ;
for (;(step7 > 0 && _i <= limit7) || (step7 < 0 && _i >= limit7) ;_i = ((int)(0 + _i + step7))  ) {
Debug.locals.put("i", _i);
 BA.debugLineNum = 379;BA.debugLine="c.Position=i";
Debug.ShouldStop(67108864);
__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"setPosition",BA.numberCast(int.class, _i));
 BA.debugLineNum = 381;BA.debugLine="Dim tablaInventario As String";
Debug.ShouldStop(268435456);
_tablainventario = RemoteObject.createImmutable("");Debug.locals.put("tablaInventario", _tablainventario);
 BA.debugLineNum = 383;BA.debugLine="If c.GetString(\"PE_FOLIO\") = \"PREVENTA_CONTADO";
Debug.ShouldStop(1073741824);
if (RemoteObject.solveBoolean("=",__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("PE_FOLIO"))),BA.ObjectToString("PREVENTA_CONTADO")) || RemoteObject.solveBoolean("=",__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("PE_FOLIO"))),BA.ObjectToString("ABORDO"))) { 
 BA.debugLineNum = 384;BA.debugLine="tablaInventario = \"CAT_GUNAPROD\"";
Debug.ShouldStop(-2147483648);
_tablainventario = BA.ObjectToString("CAT_GUNAPROD");Debug.locals.put("tablaInventario", _tablainventario);
 BA.debugLineNum = 385;BA.debugLine="Log(\"1\")";
Debug.ShouldStop(1);
c_nota.__c.runVoidMethod ("LogImpl","512451856",RemoteObject.createImmutable("1"),0);
 }else 
{ BA.debugLineNum = 386;BA.debugLine="Else If c.GetString(\"PE_FOLIO\") = \"VENTA\" Then";
Debug.ShouldStop(2);
if (RemoteObject.solveBoolean("=",__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("PE_FOLIO"))),BA.ObjectToString("VENTA"))) { 
 BA.debugLineNum = 387;BA.debugLine="tablaInventario = \"CAT_GUNAPROD2\"";
Debug.ShouldStop(4);
_tablainventario = BA.ObjectToString("CAT_GUNAPROD2");Debug.locals.put("tablaInventario", _tablainventario);
 BA.debugLineNum = 388;BA.debugLine="Log(2)";
Debug.ShouldStop(8);
c_nota.__c.runVoidMethod ("LogImpl","512451859",BA.NumberToString(2),0);
 }else 
{ BA.debugLineNum = 389;BA.debugLine="Else If c.GetString(\"PE_FOLIO\") = \"RECARGA\" Th";
Debug.ShouldStop(16);
if (RemoteObject.solveBoolean("=",__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("PE_FOLIO"))),BA.ObjectToString("RECARGA"))) { 
 BA.debugLineNum = 390;BA.debugLine="tablaInventario = \"CAT_GUNAPROD\"";
Debug.ShouldStop(32);
_tablainventario = BA.ObjectToString("CAT_GUNAPROD");Debug.locals.put("tablaInventario", _tablainventario);
 BA.debugLineNum = 391;BA.debugLine="Log(3)";
Debug.ShouldStop(64);
c_nota.__c.runVoidMethod ("LogImpl","512451862",BA.NumberToString(3),0);
 }else 
{ BA.debugLineNum = 392;BA.debugLine="Else If c.GetString(\"PE_FOLIO\") = \"PREVENTA_CR";
Debug.ShouldStop(128);
if (RemoteObject.solveBoolean("=",__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("PE_FOLIO"))),BA.ObjectToString("PREVENTA_CREDITO"))) { 
 BA.debugLineNum = 393;BA.debugLine="tablaInventario = \"CAT_GUNAPROD4\"";
Debug.ShouldStop(256);
_tablainventario = BA.ObjectToString("CAT_GUNAPROD4");Debug.locals.put("tablaInventario", _tablainventario);
 BA.debugLineNum = 394;BA.debugLine="Log(4)";
Debug.ShouldStop(512);
c_nota.__c.runVoidMethod ("LogImpl","512451865",BA.NumberToString(4),0);
 }}}}
;
 BA.debugLineNum = 396;BA.debugLine="B4XPages.MainPage.skmt.ExecNonQuery2($\"update";
Debug.ShouldStop(2048);
c_nota._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runVoidMethod ("ExecNonQuery2",(Object)((RemoteObject.concat(RemoteObject.createImmutable("update "),c_nota.__c.runMethod(true,"SmartStringFormatter",(Object)(BA.ObjectToString("")),(Object)((_tablainventario))),RemoteObject.createImmutable(" set cat_gp_almacen = cat_gp_almacen + ? where cat_gp_id = ?")))),(Object)(c_nota.__c.runMethod(false, "ArrayToList", (Object)(RemoteObject.createNewArray("Object",new int[] {2},new Object[] {(__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("PE_CANT")))),(__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("PE_PROID"))))})))));
 BA.debugLineNum = 397;BA.debugLine="B4XPages.MainPage.skmt.ExecNonQuery2(\"INSERT I";
Debug.ShouldStop(4096);
c_nota._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runVoidMethod ("ExecNonQuery2",(Object)(BA.ObjectToString("INSERT INTO  INVENT_X_ENVIAR (ALMACEN , PROID , CANTIDAD ) VALUES(?,?,?) ")),(Object)(c_nota.__c.runMethod(false, "ArrayToList", (Object)(RemoteObject.createNewArray("Object",new int[] {3},new Object[] {(__ref.getField(true,"_almacen" /*RemoteObject*/ )),(__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("PE_PROID")))),RemoteObject.createImmutable(((double)(Double.parseDouble(__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("PE_CANT"))).<String>get()))*-(double) (0 + 1)))})))));
 }
}Debug.locals.put("i", _i);
;
 };
 BA.debugLineNum = 400;BA.debugLine="B4XPages.MainPage.skmt.ExecNonQuery(\"delete from";
Debug.ShouldStop(32768);
c_nota._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runVoidMethod ("ExecNonQuery",(Object)(RemoteObject.createImmutable("delete from pedido_cliente where pc_cliente in (Select CUENTA from cuentaa)")));
 BA.debugLineNum = 401;BA.debugLine="B4XPages.MainPage.skmt.ExecNonQuery(\"delete from";
Debug.ShouldStop(65536);
c_nota._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runVoidMethod ("ExecNonQuery",(Object)(RemoteObject.createImmutable("delete from pedido where pe_cliente in (Select CUENTA from cuentaa)")));
 BA.debugLineNum = 402;BA.debugLine="B4XPages.MainPage.skmt.ExecNonQuery(\"UPDATE kmt_";
Debug.ShouldStop(131072);
c_nota._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runVoidMethod ("ExecNonQuery",(Object)(RemoteObject.createImmutable("UPDATE kmt_info set gestion = 0  where CAT_CL_CODIGO In (select cuenta from cuentaa)")));
 BA.debugLineNum = 403;BA.debugLine="B4XPage_Appear";
Debug.ShouldStop(262144);
__ref.runClassMethod (SHARK2.keymon.com.mx.c_nota.class, "_b4xpage_appear" /*RemoteObject*/ );
 };
 BA.debugLineNum = 405;BA.debugLine="End Sub";
Debug.ShouldStop(1048576);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _class_globals(RemoteObject __ref) throws Exception{
 //BA.debugLineNum = 1;BA.debugLine="Sub Class_Globals";
 //BA.debugLineNum = 2;BA.debugLine="Private Root As B4XView 'ignore";
c_nota._root = RemoteObject.createNew ("anywheresoftware.b4a.objects.B4XViewWrapper");__ref.setField("_root",c_nota._root);
 //BA.debugLineNum = 3;BA.debugLine="Private xui As XUI 'ignore";
c_nota._xui = RemoteObject.createNew ("anywheresoftware.b4a.objects.B4XViewWrapper.XUI");__ref.setField("_xui",c_nota._xui);
 //BA.debugLineNum = 5;BA.debugLine="Dim skmt As SQL";
c_nota._skmt = RemoteObject.createNew ("anywheresoftware.b4a.sql.SQL");__ref.setField("_skmt",c_nota._skmt);
 //BA.debugLineNum = 6;BA.debugLine="Dim g As GPS";
c_nota._g = RemoteObject.createNew ("anywheresoftware.b4a.gps.GPS");__ref.setField("_g",c_nota._g);
 //BA.debugLineNum = 7;BA.debugLine="Dim clie_id As String";
c_nota._clie_id = RemoteObject.createImmutable("");__ref.setField("_clie_id",c_nota._clie_id);
 //BA.debugLineNum = 8;BA.debugLine="Dim sDate,sTime As String";
c_nota._sdate = RemoteObject.createImmutable("");__ref.setField("_sdate",c_nota._sdate);
c_nota._stime = RemoteObject.createImmutable("");__ref.setField("_stime",c_nota._stime);
 //BA.debugLineNum = 9;BA.debugLine="Dim usuario As String";
c_nota._usuario = RemoteObject.createImmutable("");__ref.setField("_usuario",c_nota._usuario);
 //BA.debugLineNum = 11;BA.debugLine="Dim c As Cursor";
c_nota._c = RemoteObject.createNew ("anywheresoftware.b4a.sql.SQL.CursorWrapper");__ref.setField("_c",c_nota._c);
 //BA.debugLineNum = 12;BA.debugLine="Dim ruta As String";
c_nota._ruta = RemoteObject.createImmutable("");__ref.setField("_ruta",c_nota._ruta);
 //BA.debugLineNum = 13;BA.debugLine="Dim Regresar As Button";
c_nota._regresar = RemoteObject.createNew ("anywheresoftware.b4a.objects.ButtonWrapper");__ref.setField("_regresar",c_nota._regresar);
 //BA.debugLineNum = 15;BA.debugLine="Dim ListView1 As ListView";
c_nota._listview1 = RemoteObject.createNew ("anywheresoftware.b4a.objects.ListViewWrapper");__ref.setField("_listview1",c_nota._listview1);
 //BA.debugLineNum = 16;BA.debugLine="Dim L_CANT As Label";
c_nota._l_cant = RemoteObject.createNew ("anywheresoftware.b4a.objects.LabelWrapper");__ref.setField("_l_cant",c_nota._l_cant);
 //BA.debugLineNum = 17;BA.debugLine="Dim L_TOTAL As Label";
c_nota._l_total = RemoteObject.createNew ("anywheresoftware.b4a.objects.LabelWrapper");__ref.setField("_l_total",c_nota._l_total);
 //BA.debugLineNum = 18;BA.debugLine="Dim borra As Button";
c_nota._borra = RemoteObject.createNew ("anywheresoftware.b4a.objects.ButtonWrapper");__ref.setField("_borra",c_nota._borra);
 //BA.debugLineNum = 19;BA.debugLine="Dim Existe As String";
c_nota._existe = RemoteObject.createImmutable("");__ref.setField("_existe",c_nota._existe);
 //BA.debugLineNum = 20;BA.debugLine="Dim result As String";
c_nota._result = RemoteObject.createImmutable("");__ref.setField("_result",c_nota._result);
 //BA.debugLineNum = 22;BA.debugLine="Dim DESC As String";
c_nota._desc = RemoteObject.createImmutable("");__ref.setField("_desc",c_nota._desc);
 //BA.debugLineNum = 24;BA.debugLine="Private Titulo As Label";
c_nota._titulo = RemoteObject.createNew ("anywheresoftware.b4a.objects.LabelWrapper");__ref.setField("_titulo",c_nota._titulo);
 //BA.debugLineNum = 25;BA.debugLine="Private b_desc As Button";
c_nota._b_desc = RemoteObject.createNew ("anywheresoftware.b4a.objects.ButtonWrapper");__ref.setField("_b_desc",c_nota._b_desc);
 //BA.debugLineNum = 26;BA.debugLine="Dim DESCUENTO As String";
c_nota._descuento = RemoteObject.createImmutable("");__ref.setField("_descuento",c_nota._descuento);
 //BA.debugLineNum = 27;BA.debugLine="Dim folio As String";
c_nota._folio = RemoteObject.createImmutable("");__ref.setField("_folio",c_nota._folio);
 //BA.debugLineNum = 28;BA.debugLine="Dim tgl As Toggle";
c_nota._tgl = RemoteObject.createNew ("com.rootsoft.togglelibrary.ToggleLibrary");__ref.setField("_tgl",c_nota._tgl);
 //BA.debugLineNum = 29;BA.debugLine="Private almacen As String";
c_nota._almacen = RemoteObject.createImmutable("");__ref.setField("_almacen",c_nota._almacen);
 //BA.debugLineNum = 30;BA.debugLine="Private p_nota As Panel";
c_nota._p_nota = RemoteObject.createNew ("anywheresoftware.b4a.objects.PanelWrapper");__ref.setField("_p_nota",c_nota._p_nota);
 //BA.debugLineNum = 31;BA.debugLine="Dim vamoaver As List";
c_nota._vamoaver = RemoteObject.createNew ("anywheresoftware.b4a.objects.collections.List");__ref.setField("_vamoaver",c_nota._vamoaver);
 //BA.debugLineNum = 32;BA.debugLine="Dim c2 As Cursor";
c_nota._c2 = RemoteObject.createNew ("anywheresoftware.b4a.sql.SQL.CursorWrapper");__ref.setField("_c2",c_nota._c2);
 //BA.debugLineNum = 33;BA.debugLine="Dim j3 As Cursor";
c_nota._j3 = RemoteObject.createNew ("anywheresoftware.b4a.sql.SQL.CursorWrapper");__ref.setField("_j3",c_nota._j3);
 //BA.debugLineNum = 34;BA.debugLine="End Sub";
return RemoteObject.createImmutable("");
}
public static RemoteObject  _gps_locationchanged(RemoteObject __ref,RemoteObject _location1) throws Exception{
try {
		Debug.PushSubsStack("GPS_LocationChanged (c_nota) ","c_nota",9,__ref.getField(false, "ba"),__ref,353);
if (RapidSub.canDelegate("gps_locationchanged")) { return __ref.runUserSub(false, "c_nota","gps_locationchanged", __ref, _location1);}
Debug.locals.put("Location1", _location1);
 BA.debugLineNum = 353;BA.debugLine="Sub GPS_LocationChanged (Location1 As Location)";
Debug.ShouldStop(1);
 BA.debugLineNum = 356;BA.debugLine="End Sub";
Debug.ShouldStop(8);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _initialize(RemoteObject __ref,RemoteObject _ba) throws Exception{
try {
		Debug.PushSubsStack("Initialize (c_nota) ","c_nota",9,__ref.getField(false, "ba"),__ref,37);
if (RapidSub.canDelegate("initialize")) { return __ref.runUserSub(false, "c_nota","initialize", __ref, _ba);}
__ref.runVoidMethodAndSync("innerInitializeHelper", _ba);
Debug.locals.put("ba", _ba);
 BA.debugLineNum = 37;BA.debugLine="Public Sub Initialize As Object";
Debug.ShouldStop(16);
 BA.debugLineNum = 38;BA.debugLine="Return Me";
Debug.ShouldStop(32);
if (true) return __ref;
 BA.debugLineNum = 39;BA.debugLine="End Sub";
Debug.ShouldStop(64);
return RemoteObject.createImmutable(null);
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _listview1_itemlongclick(RemoteObject __ref,RemoteObject _position,RemoteObject _value) throws Exception{
try {
		Debug.PushSubsStack("ListView1_ItemLongClick (c_nota) ","c_nota",9,__ref.getField(false, "ba"),__ref,686);
if (RapidSub.canDelegate("listview1_itemlongclick")) { return __ref.runUserSub(false, "c_nota","listview1_itemlongclick", __ref, _position, _value);}
RemoteObject _datos = RemoteObject.declareNull("anywheresoftware.b4a.objects.collections.Map");
RemoteObject _idprod = RemoteObject.createImmutable("");
RemoteObject _nom = RemoteObject.createImmutable("");
RemoteObject _presname = RemoteObject.createImmutable("");
RemoteObject _uvmval = RemoteObject.createImmutable(0);
RemoteObject _cedis = RemoteObject.createImmutable("");
RemoteObject _folioactual = RemoteObject.createImmutable("");
RemoteObject _cantregresar = RemoteObject.createImmutable(0);
RemoteObject _tablainv = RemoteObject.createImmutable("");
int _j = 0;
RemoteObject _qdelete = RemoteObject.createImmutable("");
Debug.locals.put("Position", _position);
Debug.locals.put("Value", _value);
 BA.debugLineNum = 686;BA.debugLine="Sub ListView1_ItemLongClick (Position As Int, Valu";
Debug.ShouldStop(8192);
 BA.debugLineNum = 688;BA.debugLine="Dim datos As Map = Value";
Debug.ShouldStop(32768);
_datos = RemoteObject.createNew ("anywheresoftware.b4a.objects.collections.Map");
_datos = RemoteObject.declareNull("anywheresoftware.b4a.AbsObjectWrapper").runMethod(false, "ConvertToWrapper", RemoteObject.createNew("anywheresoftware.b4a.objects.collections.Map"), _value);Debug.locals.put("datos", _datos);Debug.locals.put("datos", _datos);
 BA.debugLineNum = 690;BA.debugLine="Dim idProd As String = datos.Get(\"id\")";
Debug.ShouldStop(131072);
_idprod = BA.ObjectToString(_datos.runMethod(false,"Get",(Object)((RemoteObject.createImmutable("id")))));Debug.locals.put("idProd", _idprod);Debug.locals.put("idProd", _idprod);
 BA.debugLineNum = 691;BA.debugLine="Dim nom As String = datos.Get(\"nombre\")";
Debug.ShouldStop(262144);
_nom = BA.ObjectToString(_datos.runMethod(false,"Get",(Object)((RemoteObject.createImmutable("nombre")))));Debug.locals.put("nom", _nom);Debug.locals.put("nom", _nom);
 BA.debugLineNum = 692;BA.debugLine="Dim presName As String = datos.Get(\"pres\")";
Debug.ShouldStop(524288);
_presname = BA.ObjectToString(_datos.runMethod(false,"Get",(Object)((RemoteObject.createImmutable("pres")))));Debug.locals.put("presName", _presname);Debug.locals.put("presName", _presname);
 BA.debugLineNum = 693;BA.debugLine="Dim uvmVal As Int = datos.Get(\"uvm\")";
Debug.ShouldStop(1048576);
_uvmval = BA.numberCast(int.class, _datos.runMethod(false,"Get",(Object)((RemoteObject.createImmutable("uvm")))));Debug.locals.put("uvmVal", _uvmval);Debug.locals.put("uvmVal", _uvmval);
 BA.debugLineNum = 694;BA.debugLine="Dim cedis As String = datos.Get(\"cedis\")";
Debug.ShouldStop(2097152);
_cedis = BA.ObjectToString(_datos.runMethod(false,"Get",(Object)((RemoteObject.createImmutable("cedis")))));Debug.locals.put("cedis", _cedis);Debug.locals.put("cedis", _cedis);
 BA.debugLineNum = 695;BA.debugLine="Dim folioActual As String = datos.Get(\"folio\")";
Debug.ShouldStop(4194304);
_folioactual = BA.ObjectToString(_datos.runMethod(false,"Get",(Object)((RemoteObject.createImmutable("folio")))));Debug.locals.put("folioActual", _folioactual);Debug.locals.put("folioActual", _folioactual);
 BA.debugLineNum = 696;BA.debugLine="Dim cantRegresar As Int = datos.Get(\"cant\")";
Debug.ShouldStop(8388608);
_cantregresar = BA.numberCast(int.class, _datos.runMethod(false,"Get",(Object)((RemoteObject.createImmutable("cant")))));Debug.locals.put("cantRegresar", _cantregresar);Debug.locals.put("cantRegresar", _cantregresar);
 BA.debugLineNum = 697;BA.debugLine="Log(folioActual)";
Debug.ShouldStop(16777216);
c_nota.__c.runVoidMethod ("LogImpl","512517387",_folioactual,0);
 BA.debugLineNum = 698;BA.debugLine="Log(cedis)";
Debug.ShouldStop(33554432);
c_nota.__c.runVoidMethod ("LogImpl","512517388",_cedis,0);
 BA.debugLineNum = 700;BA.debugLine="result = Msgbox2(\"¿Seguro que desea borrar \" & no";
Debug.ShouldStop(134217728);
__ref.setField ("_result" /*RemoteObject*/ ,BA.NumberToString(c_nota.__c.runMethodAndSync(true,"Msgbox2",(Object)(BA.ObjectToCharSequence(RemoteObject.concat(RemoteObject.createImmutable("¿Seguro que desea borrar "),_nom,RemoteObject.createImmutable(" ("),_presname,RemoteObject.createImmutable(")?")))),(Object)(BA.ObjectToCharSequence("Borrar Artículo")),(Object)(BA.ObjectToString("Si")),(Object)(BA.ObjectToString("")),(Object)(BA.ObjectToString("No")),(Object)((c_nota.__c.runMethod(false,"LoadBitmap",(Object)(c_nota.__c.getField(false,"File").runMethod(true,"getDirAssets")),(Object)(RemoteObject.createImmutable("alert2.png"))).getObject())),__ref.getField(false, "ba"))));
 BA.debugLineNum = 702;BA.debugLine="If result = DialogResponse.POSITIVE Then";
Debug.ShouldStop(536870912);
if (RemoteObject.solveBoolean("=",__ref.getField(true,"_result" /*RemoteObject*/ ),BA.NumberToString(c_nota.__c.getField(false,"DialogResponse").getField(true,"POSITIVE")))) { 
 BA.debugLineNum = 704;BA.debugLine="Dim tablaInv As String";
Debug.ShouldStop(-2147483648);
_tablainv = RemoteObject.createImmutable("");Debug.locals.put("tablaInv", _tablainv);
 BA.debugLineNum = 708;BA.debugLine="If folioActual = \"PREVENTA_CONTADO\" Or folioActu";
Debug.ShouldStop(8);
if (RemoteObject.solveBoolean("=",_folioactual,BA.ObjectToString("PREVENTA_CONTADO")) || RemoteObject.solveBoolean("=",_folioactual,BA.ObjectToString("ABORDO"))) { 
 BA.debugLineNum = 709;BA.debugLine="tablaInv = \"CAT_GUNAPROD\"";
Debug.ShouldStop(16);
_tablainv = BA.ObjectToString("CAT_GUNAPROD");Debug.locals.put("tablaInv", _tablainv);
 BA.debugLineNum = 710;BA.debugLine="Log(\"1\")";
Debug.ShouldStop(32);
c_nota.__c.runVoidMethod ("LogImpl","512517400",RemoteObject.createImmutable("1"),0);
 }else 
{ BA.debugLineNum = 711;BA.debugLine="Else If folioActual = \"VENTA\" Then";
Debug.ShouldStop(64);
if (RemoteObject.solveBoolean("=",_folioactual,BA.ObjectToString("VENTA"))) { 
 BA.debugLineNum = 712;BA.debugLine="tablaInv = \"CAT_GUNAPROD2\"";
Debug.ShouldStop(128);
_tablainv = BA.ObjectToString("CAT_GUNAPROD2");Debug.locals.put("tablaInv", _tablainv);
 BA.debugLineNum = 713;BA.debugLine="Log(2)";
Debug.ShouldStop(256);
c_nota.__c.runVoidMethod ("LogImpl","512517403",BA.NumberToString(2),0);
 }else 
{ BA.debugLineNum = 714;BA.debugLine="Else If folioActual = \"RECARGA\" Then";
Debug.ShouldStop(512);
if (RemoteObject.solveBoolean("=",_folioactual,BA.ObjectToString("RECARGA"))) { 
 BA.debugLineNum = 715;BA.debugLine="tablaInv = \"CAT_GUNAPROD\"";
Debug.ShouldStop(1024);
_tablainv = BA.ObjectToString("CAT_GUNAPROD");Debug.locals.put("tablaInv", _tablainv);
 BA.debugLineNum = 716;BA.debugLine="Log(3)";
Debug.ShouldStop(2048);
c_nota.__c.runVoidMethod ("LogImpl","512517406",BA.NumberToString(3),0);
 }else 
{ BA.debugLineNum = 717;BA.debugLine="Else If folioActual = \"PREVENTA_CREDITO\" Then";
Debug.ShouldStop(4096);
if (RemoteObject.solveBoolean("=",_folioactual,BA.ObjectToString("PREVENTA_CREDITO"))) { 
 BA.debugLineNum = 718;BA.debugLine="tablaInv = \"CAT_GUNAPROD4\"";
Debug.ShouldStop(8192);
_tablainv = BA.ObjectToString("CAT_GUNAPROD4");Debug.locals.put("tablaInv", _tablainv);
 BA.debugLineNum = 719;BA.debugLine="Log(4)";
Debug.ShouldStop(16384);
c_nota.__c.runVoidMethod ("LogImpl","512517409",BA.NumberToString(4),0);
 }}}}
;
 BA.debugLineNum = 722;BA.debugLine="If cedis <> Subs.traeAlmacen Then";
Debug.ShouldStop(131072);
if (RemoteObject.solveBoolean("!",_cedis,c_nota._subs.runMethod(true,"_traealmacen" /*RemoteObject*/ ,__ref.getField(false, "ba")))) { 
 BA.debugLineNum = 725;BA.debugLine="j3 = B4XPages.MainPage.skmt.ExecQuery2(\"SELECT";
Debug.ShouldStop(1048576);
__ref.getField(false,"_j3" /*RemoteObject*/ ).setObject (c_nota._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runMethod(false,"ExecQuery2",(Object)(BA.ObjectToString("SELECT PE_CEDIS, PE_CANT,PE_PROID, PE_PRONOMBRE, PE_FOLIO FROM PEDIDO WHERE PE_CEDIS IN (SELECT PE_CEDIS FROM PEDIDO WHERE PE_PRONOMBRE = ? and PE_CEDIS = ?) AND PE_FOLIO = ?")),(Object)(RemoteObject.createNewArray("String",new int[] {3},new Object[] {_nom,_cedis,_folioactual}))));
 BA.debugLineNum = 726;BA.debugLine="Log(j3.RowCount)";
Debug.ShouldStop(2097152);
c_nota.__c.runVoidMethod ("LogImpl","512517416",BA.NumberToString(__ref.getField(false,"_j3" /*RemoteObject*/ ).runMethod(true,"getRowCount")),0);
 BA.debugLineNum = 727;BA.debugLine="If j3.RowCount > 0 Then";
Debug.ShouldStop(4194304);
if (RemoteObject.solveBoolean(">",__ref.getField(false,"_j3" /*RemoteObject*/ ).runMethod(true,"getRowCount"),BA.numberCast(double.class, 0))) { 
 BA.debugLineNum = 728;BA.debugLine="Log(\"Soy promo\")";
Debug.ShouldStop(8388608);
c_nota.__c.runVoidMethod ("LogImpl","512517418",RemoteObject.createImmutable("Soy promo"),0);
 BA.debugLineNum = 729;BA.debugLine="For j = 0 To j3.RowCount -1";
Debug.ShouldStop(16777216);
{
final int step32 = 1;
final int limit32 = RemoteObject.solve(new RemoteObject[] {__ref.getField(false,"_j3" /*RemoteObject*/ ).runMethod(true,"getRowCount"),RemoteObject.createImmutable(1)}, "-",1, 1).<Integer>get().intValue();
_j = 0 ;
for (;(step32 > 0 && _j <= limit32) || (step32 < 0 && _j >= limit32) ;_j = ((int)(0 + _j + step32))  ) {
Debug.locals.put("j", _j);
 BA.debugLineNum = 730;BA.debugLine="Log(\"aqui tronare?\")";
Debug.ShouldStop(33554432);
c_nota.__c.runVoidMethod ("LogImpl","512517420",RemoteObject.createImmutable("aqui tronare?"),0);
 BA.debugLineNum = 732;BA.debugLine="j3.Position = j";
Debug.ShouldStop(134217728);
__ref.getField(false,"_j3" /*RemoteObject*/ ).runMethod(true,"setPosition",BA.numberCast(int.class, _j));
 BA.debugLineNum = 733;BA.debugLine="Log(j3.GetString(\"PE_CANT\"))";
Debug.ShouldStop(268435456);
c_nota.__c.runVoidMethod ("LogImpl","512517423",__ref.getField(false,"_j3" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("PE_CANT"))),0);
 BA.debugLineNum = 734;BA.debugLine="Log($\"update ${tablaInv} set CAT_GP_ALMACEN =";
Debug.ShouldStop(536870912);
c_nota.__c.runVoidMethod ("LogImpl","512517424",(RemoteObject.concat(RemoteObject.createImmutable("update "),c_nota.__c.runMethod(true,"SmartStringFormatter",(Object)(BA.ObjectToString("")),(Object)((_tablainv))),RemoteObject.createImmutable(" set CAT_GP_ALMACEN = CAT_GP_ALMACEN + '"),c_nota.__c.runMethod(true,"SmartStringFormatter",(Object)(BA.ObjectToString("")),(Object)((__ref.getField(false,"_j3" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("PE_CANT")))))),RemoteObject.createImmutable("' where CAT_GP_ID = '"),c_nota.__c.runMethod(true,"SmartStringFormatter",(Object)(BA.ObjectToString("")),(Object)((__ref.getField(false,"_j3" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("PE_PROID")))))),RemoteObject.createImmutable("'"))),0);
 BA.debugLineNum = 735;BA.debugLine="If vamoaver.Get(Position) = \"PREVENTA_CREDITO";
Debug.ShouldStop(1073741824);
if (RemoteObject.solveBoolean("=",__ref.getField(false,"_vamoaver" /*RemoteObject*/ ).runMethod(false,"Get",(Object)(_position)),RemoteObject.createImmutable(("PREVENTA_CREDITO")))) { 
 BA.debugLineNum = 736;BA.debugLine="Starter.skmt.ExecNonQuery($\"update CAT_GUNAP";
Debug.ShouldStop(-2147483648);
c_nota._starter._skmt /*RemoteObject*/ .runVoidMethod ("ExecNonQuery",(Object)((RemoteObject.concat(RemoteObject.createImmutable("update CAT_GUNAPROD4 set CAT_GP_ALMACEN = CAT_GP_ALMACEN + "),c_nota.__c.runMethod(true,"SmartStringFormatter",(Object)(BA.ObjectToString("")),(Object)((__ref.getField(false,"_j3" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("PE_CANT")))))),RemoteObject.createImmutable(" where CAT_GP_ID = '"),c_nota.__c.runMethod(true,"SmartStringFormatter",(Object)(BA.ObjectToString("")),(Object)((__ref.getField(false,"_j3" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("PE_PROID")))))),RemoteObject.createImmutable("'")))));
 BA.debugLineNum = 737;BA.debugLine="B4XPages.MainPage.skmt.ExecNonQuery($\"delete";
Debug.ShouldStop(1);
c_nota._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runVoidMethod ("ExecNonQuery",(Object)((RemoteObject.concat(RemoteObject.createImmutable("delete from pedido where pe_cedis= '"),c_nota.__c.runMethod(true,"SmartStringFormatter",(Object)(BA.ObjectToString("")),(Object)((_cedis))),RemoteObject.createImmutable("' and pe_cliente in (Select CUENTA from cuentaa) AND PE_FOLIO = '"),c_nota.__c.runMethod(true,"SmartStringFormatter",(Object)(BA.ObjectToString("")),(Object)((__ref.getField(false,"_j3" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("PE_FOLIO")))))),RemoteObject.createImmutable("' AND PE_PROID = '"),c_nota.__c.runMethod(true,"SmartStringFormatter",(Object)(BA.ObjectToString("")),(Object)((__ref.getField(false,"_j3" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("PE_PROID")))))),RemoteObject.createImmutable("'")))));
 }else {
 BA.debugLineNum = 739;BA.debugLine="Starter.skmt.ExecNonQuery($\"update ${tablaIn";
Debug.ShouldStop(4);
c_nota._starter._skmt /*RemoteObject*/ .runVoidMethod ("ExecNonQuery",(Object)((RemoteObject.concat(RemoteObject.createImmutable("update "),c_nota.__c.runMethod(true,"SmartStringFormatter",(Object)(BA.ObjectToString("")),(Object)((_tablainv))),RemoteObject.createImmutable(" set CAT_GP_ALMACEN = CAT_GP_ALMACEN + "),c_nota.__c.runMethod(true,"SmartStringFormatter",(Object)(BA.ObjectToString("")),(Object)((__ref.getField(false,"_j3" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("PE_CANT")))))),RemoteObject.createImmutable(" where CAT_GP_ID = '"),c_nota.__c.runMethod(true,"SmartStringFormatter",(Object)(BA.ObjectToString("")),(Object)((__ref.getField(false,"_j3" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("PE_PROID")))))),RemoteObject.createImmutable("'")))));
 BA.debugLineNum = 740;BA.debugLine="B4XPages.MainPage.skmt.ExecNonQuery($\"delete";
Debug.ShouldStop(8);
c_nota._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runVoidMethod ("ExecNonQuery",(Object)((RemoteObject.concat(RemoteObject.createImmutable("delete from pedido where pe_cedis= '"),c_nota.__c.runMethod(true,"SmartStringFormatter",(Object)(BA.ObjectToString("")),(Object)((_cedis))),RemoteObject.createImmutable("' and pe_cliente in (Select CUENTA from cuentaa) AND PE_FOLIO = '"),c_nota.__c.runMethod(true,"SmartStringFormatter",(Object)(BA.ObjectToString("")),(Object)((__ref.getField(false,"_j3" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("PE_FOLIO")))))),RemoteObject.createImmutable("' AND PE_PROID = '"),c_nota.__c.runMethod(true,"SmartStringFormatter",(Object)(BA.ObjectToString("")),(Object)((__ref.getField(false,"_j3" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("PE_PROID")))))),RemoteObject.createImmutable("'")))));
 };
 }
}Debug.locals.put("j", _j);
;
 };
 BA.debugLineNum = 745;BA.debugLine="j3.Close";
Debug.ShouldStop(256);
__ref.getField(false,"_j3" /*RemoteObject*/ ).runVoidMethod ("Close");
 BA.debugLineNum = 747;BA.debugLine="B4XPage_Appear";
Debug.ShouldStop(1024);
__ref.runClassMethod (SHARK2.keymon.com.mx.c_nota.class, "_b4xpage_appear" /*RemoteObject*/ );
 }else {
 BA.debugLineNum = 751;BA.debugLine="B4XPages.MainPage.skmt.ExecNonQuery($\"UPDATE ${";
Debug.ShouldStop(16384);
c_nota._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runVoidMethod ("ExecNonQuery",(Object)((RemoteObject.concat(RemoteObject.createImmutable("UPDATE "),c_nota.__c.runMethod(true,"SmartStringFormatter",(Object)(BA.ObjectToString("")),(Object)((_tablainv))),RemoteObject.createImmutable(" SET CAT_GP_ALMACEN = CAT_GP_ALMACEN + "),c_nota.__c.runMethod(true,"SmartStringFormatter",(Object)(BA.ObjectToString("")),(Object)((_cantregresar))),RemoteObject.createImmutable(" WHERE CAT_GP_ID = '"),c_nota.__c.runMethod(true,"SmartStringFormatter",(Object)(BA.ObjectToString("")),(Object)((_idprod))),RemoteObject.createImmutable("'")))));
 BA.debugLineNum = 758;BA.debugLine="Dim qDelete As String = \"DELETE FROM PEDIDO WHE";
Debug.ShouldStop(2097152);
_qdelete = RemoteObject.concat(RemoteObject.createImmutable("DELETE FROM PEDIDO WHERE PE_PROID = ? AND PE_PRESENTACION = ? "),RemoteObject.createImmutable("AND PE_UVM = ? AND PE_CEDIS = ? "),RemoteObject.createImmutable("AND PE_CLIENTE IN (SELECT CUENTA FROM CUENTAA) AND PE_FOLIO = ?"));Debug.locals.put("qDelete", _qdelete);Debug.locals.put("qDelete", _qdelete);
 BA.debugLineNum = 762;BA.debugLine="B4XPages.MainPage.skmt.ExecNonQuery2(qDelete, A";
Debug.ShouldStop(33554432);
c_nota._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runVoidMethod ("ExecNonQuery2",(Object)(_qdelete),(Object)(c_nota.__c.runMethod(false, "ArrayToList", (Object)(RemoteObject.createNewArray("Object",new int[] {5},new Object[] {(_idprod),(_presname),(_uvmval),(_cedis),(_folioactual)})))));
 BA.debugLineNum = 764;BA.debugLine="LogColor(\"Borrado exitoso de Nota: \" & nom & \"";
Debug.ShouldStop(134217728);
c_nota.__c.runVoidMethod ("LogImpl","512517454",RemoteObject.concat(RemoteObject.createImmutable("Borrado exitoso de Nota: "),_nom,RemoteObject.createImmutable(" ("),_presname,RemoteObject.createImmutable(")")),c_nota.__c.getField(false,"Colors").getField(true,"Blue"));
 BA.debugLineNum = 767;BA.debugLine="B4XPage_Appear";
Debug.ShouldStop(1073741824);
__ref.runClassMethod (SHARK2.keymon.com.mx.c_nota.class, "_b4xpage_appear" /*RemoteObject*/ );
 };
 };
 BA.debugLineNum = 771;BA.debugLine="End Sub";
Debug.ShouldStop(4);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _p_nota_click(RemoteObject __ref) throws Exception{
try {
		Debug.PushSubsStack("p_nota_Click (c_nota) ","c_nota",9,__ref.getField(false, "ba"),__ref,821);
if (RapidSub.canDelegate("p_nota_click")) { return __ref.runUserSub(false, "c_nota","p_nota_click", __ref);}
 BA.debugLineNum = 821;BA.debugLine="Private Sub p_nota_Click";
Debug.ShouldStop(1048576);
 BA.debugLineNum = 823;BA.debugLine="End Sub";
Debug.ShouldStop(4194304);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _regresar_click(RemoteObject __ref) throws Exception{
try {
		Debug.PushSubsStack("Regresar_Click (c_nota) ","c_nota",9,__ref.getField(false, "ba"),__ref,358);
if (RapidSub.canDelegate("regresar_click")) { return __ref.runUserSub(false, "c_nota","regresar_click", __ref);}
 BA.debugLineNum = 358;BA.debugLine="Sub Regresar_Click";
Debug.ShouldStop(32);
 BA.debugLineNum = 359;BA.debugLine="B4XPages.ShowPage(\"Cliente\")";
Debug.ShouldStop(64);
c_nota._b4xpages.runVoidMethod ("_showpage" /*RemoteObject*/ ,__ref.getField(false, "ba"),(Object)(RemoteObject.createImmutable("Cliente")));
 BA.debugLineNum = 360;BA.debugLine="End Sub";
Debug.ShouldStop(128);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
}